import { HTMLAttributes, Key, ReactNode } from "react";
type Optional<T, K extends keyof T> = Pick<Partial<T>, K> & Omit<T, K>;
interface ColumnWithdata {
    y: number;
    color?: string;
    label: ReactNode;
    key: Key;
    onClick?(): void;
    title?: string;
}
type ColumnWithoutData = Optional<ColumnWithdata, "y">;
interface Props extends HTMLAttributes<HTMLDivElement> {
    data: (ColumnWithoutData | ColumnWithdata)[];
    maxRange?: number;
    rotateXLabels?: boolean;
    xAxisTitle: string;
    yAxisTitle: string;
}
export default function ColumnChart({ data, maxRange, rotateXLabels, xAxisTitle, yAxisTitle, ...rest }: Props): import("react/jsx-runtime").JSX.Element | undefined;
export {};
