import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from "react";
import Field from "../../privateComponents/Field";
import FieldError from "../../privateComponents/FieldError";
import FieldLabelText from "../../privateComponents/FieldLabelText";
import Label from "../../privateComponents/Label";
import SupportiveText from "../../privateComponents/SupportiveText";
export default function ComboBox({ label, error, optional = false, options, supportiveText, ...rest }) {
    const dataListIdRef = React.useRef(`combo-box-auto-generated-id-${Math.random().toString(36)}`);
    return (_jsxs(Field, { children: [_jsxs(Label, { children: [_jsx(FieldLabelText, { optional: optional, children: label }), _jsx(SupportiveText, { children: supportiveText }), _jsx("input", { 
                        // When fields aren't in forms they should not be required
                        // and do not need to be marked explicitly as optional,
                        // hence the user can override this attribute
                        required: !optional, ...rest, "aria-invalid": Boolean(error), list: dataListIdRef.current }), _jsx("datalist", { id: dataListIdRef.current, children: options.map((option) => (_jsx("option", { value: option }, option))) })] }), _jsx(FieldError, { children: error })] }));
}
