import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from "react";
import { Button, Paper, TextField } from "../..";
import { Link, useNavigate } from "react-router-dom";
import { validateEmailField } from "../../utils/validators";
export default function ForgotPasswordPage({ onSubmit, ...rest }) {
    const navigate = useNavigate();
    const [emailError, setEmailError] = React.useState("");
    const [isSubmitting, setIsSubmitting] = React.useState(false);
    const [submitError, setSubmitError] = React.useState();
    return (_jsx(Paper.Group, { ...rest, children: _jsxs(Paper, { children: [_jsx("h2", { children: "Forgot password?" }), _jsx("p", { children: "If you already have an account we'll send you a code for resetting your password." }), _jsxs("p", { children: ["If you don't receive an email check your junk folder and the spelling of your address, or try ", _jsx(Link, { to: "/sign-up", children: "signing up" }), "."] }), _jsxs("form", { noValidate: true, onSubmit: async (e) => {
                        e.preventDefault();
                        setSubmitError(undefined);
                        const email = e.target.email.value;
                        const emailErrorMessage = validateEmailField(email);
                        if (emailErrorMessage)
                            return setEmailError(emailErrorMessage);
                        if (emailError)
                            setEmailError("");
                        setIsSubmitting(true);
                        try {
                            await onSubmit({ email, setSubmitError });
                            const searchParams = new URLSearchParams();
                            searchParams.set("email", email);
                            navigate(`/reset-password?${searchParams}`);
                        }
                        finally {
                            setIsSubmitting(false);
                        }
                    }, children: [_jsx(TextField, { autoComplete: "email", 
                            // eslint-disable-next-line jsx-a11y/no-autofocus
                            autoFocus: true, error: emailError, label: "Email", name: "email", supportiveText: "Take care to type your address correctly", type: "email" }), submitError && (_jsx("p", { className: "center", children: _jsx("small", { className: "negative", children: submitError }) })), _jsx(Button.Group, { children: _jsx(Button, { disabled: isSubmitting, children: "Send code" }) }), _jsx("p", { className: "center", children: _jsxs("small", { children: ["Already have a verification code?", " ", _jsx(Link, { to: "/reset-password", children: "Reset your password" }), "!"] }) })] })] }) }));
}
